// RemoveLabeledItems.jsx

/*
    
В файле / Книге удаляются все закладки и гиперссылки, имеющие метку hyperlinkLabel
Якоря гиперссылок '<FEFF>' удаляются, если они оформлены символьным стилем 'hyperlinkMarker'.

*/
#include "BmHlData.jsxinc"

var programTitul = mes075; // "Удаление гиперссылок и закладок"
if (app.documents.length == 0) {
    alert(mes002, programTitul);
    exit();
    }
letsClearHyperlinks();
if (app.books.length != 0) {  // !=0
    var pBar = new ProgressBar(programTitul);
    pBar.reset("" , app.books.item(0).bookContents.length);    
    for (var b = 0; b < app.books.item(0).bookContents.length; b++, pBar.hit()) { // b++           
        var nextDoc = app.open(app.books.item(0).bookContents.item(b).fullName);
        letsClearHyperlinks();
        } // b++
    pBar.close();
    } // !=0
alert(mes076, programTitul); // "Удалены добавленные этим скриптом закладки и гиперссылки."
exit();
